For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve webhook
      • GETlist applications
      • POSTcreate application
      • GETretrieve an application
      • PUTupdate application
      • DELdelete an application
      • GETGet App Env Schema
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementApplications

list applications

GET
https://api.jambonz.cloud/v1/Applications
GET
/v1/Applications
$curl https://api.jambonz.cloud/v1/Applications \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "name": "Customer Support App",
4 "account_sid": "1c2b3a4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
5 "application_sid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
6 "call_hook": {
7 "url": "https://support.example.com/call",
8 "method": "post",
9 "username": "calluser",
10 "password": "securePass123"
11 },
12 "call_status_hook": {
13 "url": "https://support.example.com/callstatus",
14 "method": "post"
15 },
16 "messaging_hook": {
17 "url": "https://support.example.com/messages",
18 "method": "post"
19 },
20 "speech_synthesis_vendor": "aws-polly",
21 "speech_synthesis_voice": "Joanna",
22 "speech_recognizer_vendor": "google-cloud",
23 "speech_recognizer_language": "en-US",
24 "env_vars": {
25 "ENV": "production",
26 "LOG_LEVEL": "info"
27 },
28 "record_all_calls": false
29 }
30]
Was this page helpful?
Previous

create application

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

list of applications
namestring
account_sidstringformat: "uuid"
application_sidstringRead-onlyformat: "uuid"
call_hookobject
application webhook for inbound voice calls
call_status_hookobject
webhhok for reporting call status events
messaging_hookobject

application webhook for inbound SMS/MMS

speech_synthesis_vendorstring
speech_synthesis_voicestring
speech_recognizer_vendorstring
speech_recognizer_languagestring
env_varsobject

Object containing the Application Environment Variables as key/value to be sent with the call_hook payload

record_all_callsboolean

Errors

500
Internal Server Error